Author haypo
Recipients benjamin.peterson, berker.peksag, brett.cannon, haypo, serhiy.storchaka, terry.reedy
Date 2017-03-30.19:57:19
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1490903841.95.0.0827627259651.issue29887@psf.upfronthosting.co.za>
In-reply-to
Content
Oh, Zachary reported me the following failure which is legitimate. The code doesn't handle correctly read-only library directory.

The test should try to write the file in a temporary file, or simply skip the test.

http://buildbot.python.org/all/builders/x86%20Gentoo%20Installed%20with%20X%203.x/builds/500/steps/test/logs/stdio

======================================================================
FAIL: test_main (test.test_normalization.NormalizationTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.installed/build/target/lib/python3.7/test/test_normalization.py", line 42, in test_main
    check=check_version)
PermissionError: [Errno 13] Permission denied: '/buildbot/buildarea/3.x.ware-gentoo-x86.installed/build/target/lib/python3.7/test/data/NormalizationTest.txt'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/buildbot/buildarea/3.x.ware-gentoo-x86.installed/build/target/lib/python3.7/test/test_normalization.py", line 44, in test_main
    self.fail(f"Could not retrieve {TESTDATAURL}")
AssertionError: Could not retrieve http://www.pythontest.net/unicode/9.0.0/NormalizationTest.txt

----------------------------------------------------------------------
Ran 2 tests in 0.149s
History
Date User Action Args
2017-03-30 19:57:22hayposetrecipients: + haypo, brett.cannon, terry.reedy, benjamin.peterson, berker.peksag, serhiy.storchaka
2017-03-30 19:57:21hayposetmessageid: <1490903841.95.0.0827627259651.issue29887@psf.upfronthosting.co.za>
2017-03-30 19:57:21haypolinkissue29887 messages
2017-03-30 19:57:19haypocreate